# Mass Updater Use mass updater to perform mass actions more easily. For more information about mass updater, see Mass Updater. ## Perform a mass action - [POST /v1/bulk](https://developer.zuora.com/v1-api-reference/api/mass-updater/post_massupdater.md): Describes how to perform a mass action through the REST API. Using this API method, you send a multipart/form-data request containing a .csv file with data about the mass action you want to perform. Zuora returns a key and then asynchronously processes the mass action. You can use the key to get details about the result of the mass action. If you want to use this operation to perform the Mass Payment Upload (MPU) mass action, see Mass Payment Upload for more information. ## List all results of a mass action - [GET /v1/bulk/{bulk-key}](https://developer.zuora.com/v1-api-reference/api/mass-updater/get_massupdater.md): Describes how to get information about the result of a mass action through the REST API. ## Stop a mass action - [PUT /v1/bulk/{bulk-key}/stop](https://developer.zuora.com/v1-api-reference/api/mass-updater/put_massupdater.md): Describes how to stop a mass action through the REST API. You can stop a mass action when its status is Pending or Processing. After you have stopped a mass action, you can get the mass action result to see details of the mass action. - If you stop a mass action when its status is Pending, no response file is generated because no records have been processed. - If you stop a mass action when its status is Processing, a response file is generated. You can check the response file to see which records have been processed and which have not. In the response file, the Success column has the value Y (successful) or N (failed) for processed records, and a blank value for unprocessed records. Records that have already been processed when a mass action is stopped are not rolled back.